Skip to content

getFixedAsset

READ

Get fixed asset.

POST /api/v1/accounting/getFixedAsset
curl -X POST '<your-host>/api/v1/accounting/getFixedAsset' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "id": "string"
  }'
Response
{
  "accumulatedDepreciation": 0,
  "accumulatedTaxDepreciation": 0,
  "acquisitionCost": 0,
  "acquisitionDate": "string",
  "assetLifetimeUsage": 0,
  "bonusDepreciationPercent": 0,
  "companyId": "string",
  "createdAt": "string",
  "createdBy": "string",
  "customFields": "…",
  "depreciationMethod": "Straight Line",
  "depreciationStartDate": "string",
  "description": "string",
  "disposalDate": "string",
  "disposalMethod": "Sale",
  "fixedAssetClassId": "string",
  "fixedAssetId": "string",
  "id": "string",
  "locationId": "string",
  "macrsConvention": "Half-Year",
  "macrsPropertyClass": "3",
  "name": "string",
  "notes": "…",
  "residualValuePercent": 0,
  "saleProceeds": 0,
  "serialNumber": "string",
  "status": "Draft",
  "taxDepreciationMethod": "Straight Line",
  "taxResidualValuePercent": 0,
  "taxUsefulLifeMonths": 0,
  "updatedAt": "string",
  "updatedBy": "string",
  "usefulLifeMonths": 0,
  "fixedAssetClass": {
    "accumulatedDepreciationAccountId": "string",
    "assetAccountId": "string",
    "bonusDepreciationPercent": 0,
    "companyId": "string",
    "createdAt": "string",
    "createdBy": "string",
    "customFields": "…",
    "depreciationExpenseAccountId": "string",
    "depreciationMethod": "Straight Line",
    "description": "string",
    "gainOnDisposalAccountId": "string",
    "id": "string",
    "lossOnDisposalAccountId": "string",
    "macrsConvention": "Half-Year",
    "macrsPropertyClass": "3",
    "name": "string",
    "residualValuePercent": 0,
    "taxDepreciationMethod": "Straight Line",
    "taxResidualValuePercent": 0,
    "taxUsefulLifeMonths": 0,
    "updatedAt": "string",
    "updatedBy": "string",
    "usefulLifeMonths": 0,
    "writeDownAccountId": "string",
    "writeOffAccountId": "string"
  },
  "location": {
    "id": "string",
    "name": "string"
  }
}

Parameters

ParameterType

Input schema

schema
{
  "type": "object",
  "properties": {
    "id": {
      "type": "string"
    }
  },
  "required": [
    "id"
  ]
}